# PetscMapSetSize

Sets the global size for a PetscMap object.

### Synopsis

    #include "petscvec.h"
    #undef __FUNCT__
    #define __FUNCT__ "PetscMapSetSize"
    PetscErrorCode PETSCVEC_DLLEXPORT PetscMapSetSize(PetscMap *map,PetscInt n)

Collective on PetscMap

### Input Parameters

| map | - pointer to the map
| n | - the global size

### Notes

Call this after the call to PetscMapInitialize()

Unlike regular PETSc objects you work with a pointer to the object instead of the object directly.

### Fortran Notes

Not available from Fortran

### See Also

PetscMapInitialize(), PetscMapSetLocalSize(), PetscMapGetLocalSize(), PetscMapGetSize(), PetscMapSetUp()
PetscMapGetLocalRange(), PetscMapGetGlobalRange(), PetscMapSetBlockSize(), PetscMapGetBlockSize()

Level:intermediate
Location: src/vec/vec/impls/mpi/pmap.c
Index of all Vec routines
Table of Contents for all manual pages
Index of all manual pages